ServerEvents.recipes(event => {
    event.custom({
  "type": "minecraft:crafting_shaped",
  "key": {
    "D": {
      "item": "farmersdelight:wheat_dough"
    },
    "B": {
      "item": "minecraft:sweet_berries"
    },
    "S": {
      "item": "minecraft:sugar"
    },
    "E": {
      "item": "minecraft:egg"
    },
    "M": {
      "item": "farmersdelight:milk_bottle"
    }
  },
  "pattern": [
    "MBM",
    "EME",
    "SDS"
  ],
  "result": {
    "item": "minecraft:cake"
  }
    })
    event.remove({id:'farmersdelight:cake_from_milk_bottle'})
})